Subject: Re: [PATCH 1/2] sch_netem: Remove classful functionality

From: Patrick McHardy <[email-masked]>
Date: Mon, 03 Nov 2008 12:20:25 +0100

Jarek Poplawski wrote:
> On Sun, Nov 02, 2008 at 12:37:00AM -0700, David Miller wrote:
>> From: Jarek Poplawski <[email-masked]>
>> Date: Fri, 31 Oct 2008 13:20:10 +0000
>>
>> Jarek, I applied this patch and your second one to net-next-2.6
>>
>> But I did this only because I trust that you will address Stephen's
>> feedback wrt. making existing netem functionality available in
>> some way.
>>
>> Otherwise I'll have to revert these changes.
> 
> Hmm... I thought there was kind of RFC for this, and it looked like
> Patrick's idea won 100% of votes, but I'm not good in counting...
> 
> http://marc.info/?l=linux-netdev&m=122469801712438&w=2
> http://marc.info/?l=linux-netdev&m=122469674709761&w=2
> 
> Anyway, IMHO adding TBF etc. functionalities to tfifo doesn't make
> much sense, and if they are really needed it's better to revert
> these patches and chose one of the other ways of doing reorder
> proposed in this earlier thread.

Whats wrong with simply using TBF as parent qdisc of netem?